summarylogtreecommitdiffstats
path: root/bluestone.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bluestone.sh')
-rw-r--r--bluestone.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/bluestone.sh b/bluestone.sh
new file mode 100644
index 000000000000..86cb3dc6a9bf
--- /dev/null
+++ b/bluestone.sh
@@ -0,0 +1,15 @@
+#!/bin/bash
+set -e
+_APPDIR="/usr/lib/@appname@"
+_RUNNAME="${_APPDIR}/@runname@"
+export PATH="${_APPDIR}:${PATH}"
+export LD_LIBRARY_PATH="${_APPDIR}/swiftshader:${_APPDIR}/lib:${LD_LIBRARY_PATH}"
+export ELECTRON_IS_DEV=0
+export ELECTRON_FORCE_IS_PACKAGED=true
+export NODE_ENV=production
+cd "${_APPDIR}"
+if [[ $EUID -ne 0 ]] || [[ $ELECTRON_RUN_AS_NODE ]]; then
+ exec electron@electronversion@ "${_RUNNAME}" "$@" || exit $?
+else
+ exec electron@electronversion@ "${_RUNNAME}" --no-sandbox "$@" || exit $?
+fi \ No newline at end of file